Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider.cas
Class CasProxyTicketAcquisitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.security.provider.cas.CasProxyTicketAcquisitionException

All Implemented Interfaces:
  java.io.Serializable

    public class CasProxyTicketAcquisitionException

extends PortalException

Represents an exceptional condition encountered while attempting to acquire a CAS Proxy Ticket. This exception evolved from edu.yale.its.tp.portal.security.CASProxyTicketAcquisitionException as distributed in the Yale uPortal CAS security provider distribution version 3.0.0.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `pgtIou` The pgtiou that was unsuccessfully presented for obtaining a proxy ticket.
`private edu.yale.its.tp.cas.client.CASReceipt` | `receipt` CASReceipt provding background about the interaction with the CAS server that did not produce a proxy granting ticket.
`private static long` | `serialVersionUID`
`private java.lang.String` | `service` The service for which a proxy ticket could not be acquired.

Constructor Summary
`CasProxyTicketAcquisitionException(java.lang.String serviceArg, edu.yale.its.tp.cas.client.CASReceipt receiptArg)` Exception thrown when cannot obtain proxy ticket for a given service using the given receipt.
`CasProxyTicketAcquisitionException(java.lang.String serviceArg, edu.yale.its.tp.cas.client.CASReceipt receiptArg, java.lang.Throwable cause)` Exception thrown when cannot obtain proxy ticket for a given service using the given receipt.
`CasProxyTicketAcquisitionException(java.lang.String serviceArg, java.lang.String pgtIouArg)` Exception thrown when cannot obtain proxy ticket for a given service using the given pgtIou.
`CasProxyTicketAcquisitionException(java.lang.String serviceArg, java.lang.String pgtIouArg, java.lang.Throwable cause)` Exception thrown when cannot obtain proxy ticket for a given service using the given pgtIou.

Method Summary
`java.lang.String` | `getPgtIou()` Get the PgtIou.
`edu.yale.its.tp.cas.client.CASReceipt` | `getReceipt()` Get the CASReceipt if present, null otherwise.
`java.lang.String` | `getService()` Get the identifer of the service service for which the portal was trying to obtain a Proxy Ticket when this exception was generated.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### service

    private final java.lang.String service

  The service for which a proxy ticket could not be acquired.

### receipt

    private final edu.yale.its.tp.cas.client.CASReceipt receipt

  CASReceipt provding background about the interaction with the CAS server that did not produce a proxy granting ticket.

### pgtIou

    private final java.lang.String pgtIou

  The pgtiou that was unsuccessfully presented for obtaining a proxy ticket. This field will be null when the constructor supplies a CASReceipt instead of a pgtiou. The CASReceipt contains the pgtiou.

Constructor Detail

### CasProxyTicketAcquisitionException

    public CasProxyTicketAcquisitionException(java.lang.String serviceArg,
                                              edu.yale.its.tp.cas.client.CASReceipt receiptArg)

  Exception thrown when cannot obtain proxy ticket for a given service using the given receipt.

  Parameters:
    `service` - - service for which a PT was requested
    `receipt` - - receipt the pgtIou of which was being used to obtain the PT.

### CasProxyTicketAcquisitionException

    public CasProxyTicketAcquisitionException(java.lang.String serviceArg,
                                              edu.yale.its.tp.cas.client.CASReceipt receiptArg,
                                              java.lang.Throwable cause)

  Exception thrown when cannot obtain proxy ticket for a given service using the given receipt.

  Parameters:
    `service` - - service for which a PT was requested
    `receipt` - - receipt the pgtIou of which was being used to obtain the PT.
    `cause` - - underlying throwable causing the error condition

### CasProxyTicketAcquisitionException

    public CasProxyTicketAcquisitionException(java.lang.String serviceArg,
                                              java.lang.String pgtIouArg)

  Exception thrown when cannot obtain proxy ticket for a given service using the given pgtIou.

  Parameters:
    `service` - - service for which a PT was requested.
    `pgtIou` - - the pgtIou for the PGT which was to be used to obtain the PT.

### CasProxyTicketAcquisitionException

    public CasProxyTicketAcquisitionException(java.lang.String serviceArg,
                                              java.lang.String pgtIouArg,
                                              java.lang.Throwable cause)

  Exception thrown when cannot obtain proxy ticket for a given service using the given pgtIou.

  Parameters:
    `service` - - service for which a PT was requested.
    `pgtIou` - - the pgtIou for the PGT which was to be used to obtain the PT.
    `cause` - - underlying cause of the error condition

Method Detail

### getReceipt

    public edu.yale.its.tp.cas.client.CASReceipt getReceipt()

  Get the CASReceipt if present, null otherwise. CASReceipts convey information about a CAS authentication and can provide useful diagnostic context for understanding the failure to acquire a proxy granting ticket represented by this exception. The CASReceipt may not be available depending upon the context with which this exception was initialized, so this method may return null.

  Returns:
    the CASReceipt or null.

### getService

    public java.lang.String getService()

  Get the identifer of the service service for which the portal was trying to obtain a Proxy Ticket when this exception was generated.

  Returns:
    the service.

### getPgtIou

    public java.lang.String getPgtIou()

  Get the PgtIou. The pgtiou may have been set explicitly in the constructor or this method may read it from the stored CASReceipt.

  Returns:
    the pgtiou.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD